// Задания

// Постановки задач
var SetTasks = new Array(
'Что на картинке?',
'Что на картинке?',
'Что на картинке?',
'Что на картинке?',
'Что на картинке?'

                     );

// Варианты
var Variants = new Array(
  new Array( 
'принтер',
'сканер',
'устройство ввода',
'устройство вывода',
'устройство ввода/вывода'
           ),

  new Array( 
'принтер',
'сканер',
'устройство ввода',
'устройство вывода',
'устройство ввода/вывода'
           ),

  new Array( 
'микрофон',
'наушники',
'устройство ввода',
'устройство вывода',
'устройство ввода/вывода'
           ),

  new Array( 
'микрофон',
'наушники',
'устройство ввода',
'устройство вывода',
'устройство ввода/вывода'
           ),

  new Array( 
'флешка',
'джойстик',
'устройство ввода',
'устройство вывода'
           )
                        );


// Ответы
var Answers =  new Array(
  new Array( 
true,   
false,  
false,  
true,   
false   
           ),

  new Array( 
false,  
true,   
true,   
false,  
false   
           ),

  new Array( 
false,  
true,   
false,  
true,   
false   
           ),

  new Array( 
true,   
false,  
true,   
false,  
false   
           ),

  new Array( 
true,   
false,  
true,  
true   
           )
               );

// Картинки
var Pic =  new Array(
  './pic/0102z01.jpg',
  './pic/0102z02.jpg',
  './pic/0102z03.jpg',
  './pic/0102z04.jpg',
  './pic/0102z05.jpg'

                     );

//-----------------------------
// Построение зачетного класса
//-----------------------------
function ShowZRU(teach)
{
  var i;
  var str = '<P>Нажмите кнопку <SPAN class=mark>Сброс</SPAN>, затем приступайте к решению.';
  str += '<P><FORM name=exam><P><IMG src=./pic/clear.gif';
  str += ' width=113 height=41 border=0 alt=Сброс';
  str += ' onmouseup   ="room.Ini()"';
  str += ' onmousedown ="this.src=\'./pic/clear2.gif\'"';
  str += ' onmouseover ="this.src=\'./pic/clear1.gif\'"';
  str += ' onmouseout  ="this.src=\'./pic/clear.gif\'">';

  // Построение заданий
  // Флажки
  for (i=0; i<SetTasks.length; i++)
    str += ZFlagPicRU(teach, i, SetTasks[i], Variants[i], Answers[i], Pic[i]);

  str +='<P>Чтобы увидеть результат работы, нажмите кнопку <SPAN class=mark>Оценка</SPAN>.';
  str +='<P><IMG src=./pic/bonus.gif width=113 height=41';
  str +=' border=0 alt=Оценка';
  str +=' onmouseup   ="room.Bonus()"';
  str +=' onmousedown ="this.src=\'./pic/bonus2.gif\'"';
  str +=' onmouseover ="this.src=\'./pic/bonus1.gif\'"';
  str +=' onmouseout  ="this.src=\'./pic/bonus.gif\'">';
  str +='</FORM>';

  document.write(str);
  room = new CheckTasks(SetTasks.length, document.forms["exam"]);
}
